echo on

REM Set the backup drive letter here:
SET backupdrive=S:

REM Backup Asheron's Call .dat files and Virinidi tank and classic looter files:
robocopy "C:\Turbine\Asheron's Call" "%backupdrive%\Asheron's Call Comp\BACKUPS" client_portal.dat client_cell_1.dat client_highres.dat /xo /LOG:BackupLog.txt /NFL /NDL
robocopy "C:\Games\VirindiPlugins\VirindiTank" "%backupdrive%\Asheron's Call Comp\BACKUPS\Games\VirindiPlugins\VirindiTank" /e /purge /xo /LOG+:BackupLog.txt /NFL /NDL /xf *.dll *.rtf *.txt *.ugd
robocopy "C:\Games\VirindiPlugins\VirindiTankClassicLooter" "%backupdrive%\Asheron's Call Comp\BACKUPS\Games\VirindiPlugins\VirindiTankClassicLooter" /mir /xo /LOG+:BackupLog.txt /NFL /NDL

REM Next VirinidiIntegrator2, HUDs, ACMulticlient, Decal files, and User documents for AC (such as screen shots, journals, keyboard layouts, and in-game graphics settings). Some plugins excluded:
robocopy "C:\Games\VirindiPlugins\VirindiIntegrator2" "%backupdrive%\Asheron's Call Comp\BACKUPS\Games\VirindiPlugins\VirindiIntegrator2" *.txt /mir /xo /LOG+:BackupLog.txt /NFL /NDL
robocopy "C:\Games\VirindiPlugins\VirindiHUDs" "%backupdrive%\Asheron's Call Comp\BACKUPS\Games\VirindiPlugins\VirindiHUDs" /e /xo /LOG+:BackupLog.txt /NFL /NDL
robocopy "C:\Games\ACMulticlient" "%backupdrive%\Asheron's Call Comp\BACKUPS\Games\ACMulticlient" Settings.xml /mir /xo /LOG+:BackupLog.txt /NFL /NDL
robocopy "C:\Games\Decal Plugins" "%backupdrive%\Asheron's Call Comp\BACKUPS\Games\Decal Plugins" /mir /xo /xd "C:\Games\Decal Plugins\Alinco3" "C:\Games\Decal Plugins\MiniMap" "C:\Games\Decal Plugins\Radar Add-on" "C:\Games\Decal Plugins\Sellvage" /LOG+:BackupLog.txt /NFL /NDL
robocopy "%USERPROFILE%\Documents\Asheron's Call" "%backupdrive%\DirBackups\%USERNAME%\Documents\Asheron's Call" /mir /xo /LOG+:BackupLog.txt /xf *.jpg /NFL /NDL

REM Next up is user docs, vent, teamspeak, minecraft and Vivaldi info.
robocopy "%USERPROFILE%\Documents" "%backupdrive%\DirBackups\%USERNAME%\Documents" /e /xo /xd "%USERPROFILE%\Documents\Asheron's Call" "%backupdrive%\DirBackups\%USERNAME%\Documents\Asus" "%backupdrive%\DirBackups\%USERNAME%\Documents\Trainers" "%backupdrive%\DirBackups\%USERNAME%\Documents\Work" "%backupdrive%\DirBackups\%USERNAME%\Documents\Decal Plugins" /XJ /R:3 /W:5 /LOG+:BackupLog.txt /NFL /NDL
robocopy "%localappdata%\Vivaldi" "%backupdrive%\DirBackups\%USERNAME%\Appdata\Local\Vivaldi" /e /mir /LOG+:BackupLog.txt /NFL /NDL
robocopy "%appdata%\Ventrilo" "%backupdrive%\DirBackups\%USERNAME%\Appdata\Ventrilo" ventrilo2.ini /mir /xo /LOG+:BackupLog.txt /NFL /NDL
robocopy "%appdata%\TS3Client" "%backupdrive%\DirBackups\%USERNAME%\Appdata\TeamSpeak" /e /xo /LOG+:BackupLog.txt /NFL /NDL
robocopy "%appdata%\.minecraft\saves" "%backupdrive%\DirBackups\%USERNAME%\Appdata\.minecraft\saves" /e /xo /LOG+:BackupLog.txt /NFL /NDL
robocopy "%appdata%\.minecraft\resourcepacks" "%backupdrive%\DirBackups\%USERNAME%\Appdata\.minecraft\resourcepacks" /e /xo /LOG+:BackupLog.txt /NFL /NDL

REM Next Saved Games folder to back up Crysis 2 and 3, and Fable 3 saves.
robocopy "%USERPROFILE%\Saved Games" "%backupdrive%\DirBackups\%USERNAME%\Saved Games" /e /xo /LOG+:BackupLog.txt /NFL /NDL

echo Copy Complete!
pause
exit